package agilpizza.modelo;


public class Bebida {
	private static int geradorDeID = 0;
	private int id;
	private String nome;
	private Double preco;
	private String tamanho;
	public static final String PEQUENO = "peq";
	public static final String GRANDE = "gde";

	public Bebida(String nome) {
		this.nome = nome;
		this.preco = 5.0;
		this.tamanho = PEQUENO;
		this.id = gerarID();
	}
	
	public Bebida(String nome, Double preco, String tamanho) {
		this.nome = nome;
		this.preco = preco;
		this.tamanho = tamanho;
		this.id = gerarID();
	}

	public synchronized static int gerarID() {
		return geradorDeID++;
	}
	
	@Override
	public boolean equals(Object obj) {
		
		return (obj instanceof Bebida) && id == ((Bebida) obj).getId();
	}
	
	public Double getPreco() {
		return preco;
	}

	public String getTamanho() {
		return tamanho;
	}

	public String getNome() {
		return nome;
	}

	public int getId() {
		return id;
	}

}
